

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Introduction &mdash; GAIA-X Architecture 0.1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Motivating Use Cases" href="use-cases.html" />
    <link rel="prev" title="Gaia-X Architecture" href="toc.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="toc.html" class="icon icon-home"> GAIA-X Architecture
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Introduction</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#gaia-x-objectives">GAIA-X Objectives</a></li>
<li class="toctree-l2"><a class="reference internal" href="#essential-characteristics">Essential Characteristics</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="use-cases.html">Motivating Use Cases</a></li>
<li class="toctree-l1"><a class="reference internal" href="requirements.html">Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview.html">Architecture Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="concepts.html">Concept Definitions</a></li>
<li class="toctree-l1"><a class="reference internal" href="organization-viewpoint.html">Organizational Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="security-viewpoint.html">Information Security and Data Protection Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="platform-viewpoint.html">Platform Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="service-viewpoint.html">Service Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="specification.html">Technical Specification</a></li>
<li class="toctree-l1"><a class="reference internal" href="certification.html">Certification and Accreditation</a></li>
<li class="toctree-l1"><a class="reference internal" href="appendix.html">Appendix</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="toc.html">GAIA-X Architecture</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="toc.html">Docs</a> &raquo;</li>
        
      <li>Introduction</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="introduction">
<h1>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h1>
<p>GAIA-X is a high-performance, competitive, secure and trustworthy data
infrastructure for Europe. It will be data-sovereign, secure, open, distributed,
interoperable, certified.</p>
<div class="figure align-default" id="id1" style="width: 100%">
<img alt="Overall picture of the GAIA-X data infrastructure and ecosystem" src="_images/cross.png" />
<p class="caption"><span class="caption-text">Overall picture of the GAIA-X data infrastructure and ecosystem</span><a class="headerlink" href="#id1" title="Permalink to this image">¶</a></p>
</div>
<p>The following are the most relevant sections of the <a class="reference external" href="https://www.bmwi.de/Redaktion/EN/Publikationen/Digitale-Welt/project-gaia-x.html">the GAIA-X announcement
document</a>
that guide the overall architecture design.</p>
<div class="section" id="gaia-x-objectives">
<h2>GAIA-X Objectives<a class="headerlink" href="#gaia-x-objectives" title="Permalink to this headline">¶</a></h2>
<p>The project serves the following objectives:</p>
<ol class="arabic simple">
<li><p>Stating the specific technical and economic conceptual work involved in
building such an infrastructure; and</p></li>
<li><p>On this basis, creating a common ecosystem of users and providers from public
administration, the health sector, enterprises and scientific institutions;
and</p></li>
<li><p>Establishing supporting framework conditions and structures.</p></li>
</ol>
<p>Taking European values as our starting point, we are guided by the following principles:</p>
<ol class="arabic simple">
<li><p>European data protection</p></li>
<li><p>Openness and transparency</p></li>
<li><p>Authenticity and trust</p></li>
<li><p>Digital sovereignty and self-determination</p></li>
<li><p>Free market access and European value creation</p></li>
<li><p>Modularity and interoperability</p></li>
<li><p>User-friendliness</p></li>
</ol>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>We understand <em>data infrastructure</em> as a federated technical infrastructure,
consisting of components and services that make it possible to access data
and to store, exchange and use it according to predefined rules. We
under-stand a <em>digital ecosystem</em> as the network of developers, providers and
users of digital products and services, connected with transparency,
wide-based access and a vibrant process of interchange. Such a system thus
serves as a crucial foundation for European growth, digital innovations and
new business models.</p>
</div>
<p>GAIA-X makes provision for the federalised structuring of infrastructure
services, especially cloud instances and edge instances, to transform them into
a homogeneous, user-friendly system. The federated form of data infrastructure
that results from this strengthens both the digital sovereignty of sources of
demand for cloud services and also the scalability and the competitive position
of European cloud-service providers.</p>
<p>The GAIA-X solution concept is based on central technical requirements for the
architecture of a federated, open data infrastructure:</p>
<ol class="arabic simple">
<li><p>Data sovereignty in the sense of complete control over stored and processed
data and also the independent decision on who is permitted to have access to
it.</p></li>
<li><p>The use of transparently secure, open technologies, including the use of open
source principles, in an open eco-system.</p></li>
<li><p>Decentralized or distributed data processing via multi-edge, multi-cloud or
edge-to-cloud processing to achieve benefits through pooling together.</p></li>
<li><p>Interoperability in terms of technical and semantic standards as well as
interconnectivity at network, data and service levels between edge or cloud
instances.</p></li>
<li><p>Independent and automated certification and contracting of a participant in
the GAIA-X ecosystem with regard to compliance with the GAIA-X regulations
regarding IT security, data sovereignty, service levels and framework
contracts.</p></li>
<li><p>Provision of central services that the ecosystem needs for secure and
user-friendly operation (e.g. authentication).</p></li>
<li><p>Self-describing GAIA-X nodes to promote transparency, but also to create new
business and application models across participants (e.g. data or service
relaying).</p></li>
</ol>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>A current study commissioned by the Federal Ministry of the Interior,
Building and Community (BMI) shows that, at present, public administration is
highly dependent on a small number of foreign providers of software. Future
solutions must both fulfill rigorous information-security requirements and
provide legal certainty within the framework of the GDPR, in order to retain
the digital sovereignty of the public administration. In addition, the Online
Access Act (OZG) requires the Federal Government, the States (Länder) and
municipalities to offer their administrative services online by the end of
2022, and to form a linked-up alliance of their administrative portals. A
prerequisite for this digital transition is a high-performance cloud
infrastructure, guaranteeing a high degree of digital sovereignty.</p>
<p>The Federal Ministry of the Interior, Building and Community is receptive to
the use of the offering to be developed within this project’s framework. On
the basis of Project GAIA-X, the Ministry is currently reviewing scenarios
that could be implemented in the future, under the following frame-work IT
security conditions.</p>
<p>1. There must be compliance with the regulations drawn up by the Federal
Office for Information Security (BSI), especially the ‘minimum standards for
use of external cloud services’. GAIA-X cloud-service providers thereby grant
the Federal Office for Information Security (BSI) a right to check and audit.</p>
<p>2. GAIA-X cloud-service providers fulfill the ‘Federal Office for Information
Security (BSI) Catalogue of Requirements on Cloud Computing (C5),’ including
basic and additional criteria, and provide proof of this by a suitable
attestation.</p>
<p>3. Practices adhere to and implement the relevant modules of IT basic
protection.</p>
<p>4. For certain application cases, ISO 27001 certification is recommended
(based on IT basic protection). Whether this is necessary must be checked in
the individual case.</p>
</div>
</div>
<div class="section" id="essential-characteristics">
<h2>Essential Characteristics<a class="headerlink" href="#essential-characteristics" title="Permalink to this headline">¶</a></h2>
<p>Use of secure, open technologies provided by the federated data infrastructure;
interfaces for simple and secure data-exchange; possibilities to use third
parties’ applications and functions; and adherence to standards that make data
integration easy. In this context, the available technologies are used;
meanwhile, technologies and services that are lacking are developed and made
accessible by the ecosystem’s participants, also on the basis of open-source
technologies.</p>
<p>Each node of the federated infrastructure forms an autonomous unit, follows the
reference architecture, and is unambiguously identifiable and reachable. A
self-description, linked-up with this, provides transparency regarding the
individual nodes’ specific aspects and capabilities. Notably, it includes
statements on the location of data storage and processing; on the technologies
used; on calculation and storage performance; and on the functionality made
available. In addition, the following characteristics are stated: real-time
capability, data sovereignty based on certified degrees of protection;
consumption models (e.g. spot market); the price model and environmental
sustainability (e.g. energy efficiency and consumption). The self-description
requirement plays an important part in strengthening data sovereignty in fields
of application that are dependent on having data storage within the country, for
instance, or at least within the validity area of the EU’s General Data
Protection Regulation (GDPR). As part of this, the nodes can be set up both as a
public and as a private cloud and also as edge nodes.</p>
<p>A software repository makes components available that, depending on the
categorisation, must or can be used by all providers, especially identification
services and authorisation services, interface components, or certificates. In
technical terms, these components could be made available on a centralised
basis, via a ‘peer-to-peer’ approach, or distributed across several nodes.</p>
<p>The individual services within a node and for the exchange between different
nodes are implemented as functions (‘Function as a Service’). This makes the
following possible: a high level of interoperability between different nodes;
exchangeability among different service providers (to avoid a lock-in effect);
and efficient use and charging of services. The interfaces, services and
products needed for this are to be harmonised through standards; they must also
be able to be identified simply and used easily in a central directory for all
participants. Through this we develop an infrastructure that is the basis for a
vigorous and growing digital data ecosystem.</p>
<p>Services from the GAIA-X ecosystem can be used directly through the provider or
via digital platforms. For this purpose, an overview showing all available nodes
and service capabilities is being made available; on its basis, the users
themselves or the digital platform, as the intermediary, select the respective
suitable ser-vice. Backed by this central directory service, we help to find
suitable service providers and to identify relevant data pools quickly and
securely. Alongside the technical agility, and in order for the contractual
framework conditions to be in place, flexible framework contracts are introduced
(possibly in the form of Smart Contracts); they fundamentally depict contractual
rulings; when the respective service is called up, their role is in specifically
concluding a contract between user and provider.</p>
<p>A precondition for taking part in the ecosystem is the respective service
providers’ binding commitment to common rules. Proof of adherence to these rules
can be provided through a certification of the providers, nodes and also
services, especially with regard to the necessary prerequisites in
technical-organisational terms. In particular, this includes IT security,
service levels, the degree of data sovereignty attained, and contractual
framework conditions. It is a matter of principle that the certification should
be proved by means of a transparent check undertaken by an independent,
trustworthy third party. The process for this builds upon auditing and
certification procedures already established, as well as others currently
emerging (e.g. minimum standards for the use of external cloud services of the
Federal Office for Information Security (BSI), C5, ISO 27001 and Trusted Cloud).</p>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="use-cases.html" class="btn btn-neutral float-right" title="Motivating Use Cases" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="toc.html" class="btn btn-neutral float-left" title="Gaia-X Architecture" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>